常见CentOS配置失败的解决方法

系统 Linux
CentOS配置问题中,CentOS系统用yum命令升级php和mysql失败的解决办法。解决CentOS配置说没有可以升级的php版本等导致失败的问题。

当CentOS配置失败时,也许你对失败的原因毫无所知,从哪里开始改正错误呢?这里,我们对一些常见导致失败的问题进行了一下汇总。

CentOS配置问题中,CentOS系统用yum命令升级php和mysql失败的解决办法

CentOS配置失败的情况是:
首先参看系统的php版本

  1. # rpm -qa |grep php  
  2. php-common-5.1.6-20.el5_2.1  
  3. php-cli-5.1.6-20.el5_2.1  
  4. php-5.1.6-20.el5_2.1  
  5. php-ldap-5.1.6-20.el5_2.1  

然后看到此版本不是***的用下面的命令升级

  1. # yum -y update php  
  2. Loading "fastestmirror" plugin  
  3. Loading mirror speeds from cached hostfile  
  4. * base: centos.candishosting.com.cn  
  5. * updates: centos.candishosting.com.cn  
  6. * addons: centos.candishosting.com.cn  
  7. * extras: centos.candishosting.com.cn  
  8. Setting up update Process  
  9. Could not find update match for php  
  10. No Packages marked for Update 

CentOS配置说没有可以升级的php版本,而官方的php都是***的了,php是5.2.*的了 可是centos系统的还是5.1。解决思路:是由于centos系统自带的源里面的php版本没有更新,需要额外的源才可以升级php和mysql。办法:更新系统的源,然后在升级就可以解决了。

  1. #vi /etc/yum.repos.d/zongguofengcn.repo  
  2. [utterramblings]  
  3. name=Jason's Utter Ramblings Repo  
  4. baseurl=http://www.jasonlitka.com/media/EL$releasever/$basearch/  
  5. enabled=1 
  6. gpgcheck=1 
  7. gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka  

保存此文件wq,再次运行下面的命令就可以完成php的升级了#yum -y update php,同理,运行下面命令,升级mysql #yum -y update mysql,注释:

CentOS配置中yum是linux版本的一些rhel、centos等系统自带的用于方便地添加/删除/更新RPM包的工具,它能自动解决包的倚赖性问题。用yum更新一些软件包,一条命令就可以搞定了CentOS配置的php版本默认为5.1.6,然后在5.2.9版本之前的的php都存在一个漏洞,但是目前网上很多地方都无法使用yum update php*升级到5.2.9,比较常见的是升级到5.2.6版本的,经过搜索国外资料,现在终于找到一种升级CentOS的php到5.2.9的方法。注意,此方法只能在官方的php版本上升级,如果你使用网上的升级到5.2.6版本的升级方法已经升级了,将无法使用本方法升级php。运行下面命令:

  1. # wget http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-3.noarch.rpm   
  2. # wget http://rpms.famillecollet.com/enterprise/5/remi/i386/remi-release-5-7.el5.remi.noarch.rpm   
  3. # rpm -Uvh remi-release-5*.rpm epel-release-5*.rpm  
  4. 然后编辑/etc/yum.repos.d/remi.repo  
  5. #vi /etc/yum.repos.d/remi.repo  
  6. 在这个文件的***增加一行:priority=1 保存退出。  

/etc/yum.repos.d/epel.repo和/etc/yum.repos.d/epel-testing.repo这两个文件也按照上面的方法进行编辑!!

CentOS配置中使用下面的命令进行升级,但是经过测试,如果单独升级php将提示失败,只有联通mysql一起升级才可以,所以我们必须执行以下命令才能升级php到5.2.9版本:

  1. yum --enablerepo=remi update php* mysql*  
  2. yum --enablerepo=remi update php* mysql* 

【编辑推荐】

  1. CentOS配置中apache+php+mysql安装
  2. CentOS配置apache系统软件安装
  3. 讲解关于centos配置apache+php安装
  4. CentOS配置VSFTPD服务器与SSH
  5. CentOS配置安装相关常用系统
责任编辑:小霞
相关推荐

2017-05-27 15:45:00

Windows 10Windows更新

2010-11-16 16:07:32

oracle用户连接

2012-08-15 14:01:18

2010-09-03 11:05:59

SQL删除

2010-11-10 13:42:32

SQL Server删

2010-02-23 13:07:07

CentOS gcc

2013-04-10 15:30:42

2014-04-23 10:29:57

2013-04-16 09:46:44

2011-05-06 17:25:58

硒鼓

2010-02-24 16:30:52

WCF常见错误

2011-04-29 13:22:48

ThinkPad笔记本故障

2019-11-21 16:26:44

Windows电脑浏览器

2022-04-06 10:09:17

云服务云计算

2009-11-30 10:49:18

2009-09-07 18:40:28

PHP中文乱码

2009-12-14 11:06:18

2011-06-16 10:27:55

.NET内存泄漏

2010-02-06 09:50:30

CentOS系统

2012-03-21 10:16:31

JavaJSP
点赞
收藏

51CTO技术栈公众号